import numpy as np
from mayavi import mlab

x, y = np.mgrid[-2:2:0.1, -2:2:0.1]
z = np.cos(x * y) * np.sin(x * y)

src = mlab.pipeline.array2d_source(z)
warp = mlab.pipeline.warp_scalar(src)
norm = mlab.pipeline.poly_data_normals(warp)
surf = mlab.pipeline.surface(norm)

mlab.show()
